Skip to main content
GET
/
api
/
activity
List Activity Route
curl --request GET \
  --url https://api.example.com/api/activity
{
  "total": 123,
  "events": [
    {
      "id": 123,
      "ts": "2023-11-07T05:31:56Z",
      "category": "<string>",
      "event_type": "<string>",
      "minion_id": "<string>",
      "jid": "<string>",
      "fun": "<string>",
      "success": true,
      "changed": true,
      "initiator": "<string>",
      "target": "<string>",
      "duration_ms": 123,
      "summary": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.halite-app.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

category
string | null
categories
string | null
minion_id
string | null
event_type
string | null
search
string | null
hide_routine
boolean
default:false
hide_dispatch
boolean
default:false
since_minutes
integer | null
Required range: 1 <= x <= 10080
limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

total
integer
required
events
ActivityEventOut · object[]
required